# Kubernetes Node rules
groups:
- name: kubernetes-nodes.rule
  rules:
  - alert: k8s-Node_status_OutOfDisk
    expr: kube_node_status_condition{condition="OutOfDisk", status="true"} == 1
    for: 5m
    labels:
      severity: 'warning'
      sylva_alert: 'true'
      type: 'k8s'
    annotations:
      description: 'Node {{ $labels.node }} in cluster "{{ $labels.cluster }}" is almost out of disk space'
      runbook_url: ''
      summary: 'Kubernetes node almost out of disk space'

  - alert: k8s-Node_status_MemoryPressure
    expr: kube_node_status_condition{condition="MemoryPressure", status="true"} == 1
    for: 5m
    labels:
      severity: 'warning'
      sylva_alert: 'true'
      type: 'k8s'
    annotations:
      description: 'Node {{ $labels.node }} in cluster "{{ $labels.cluster }}" is under memory pressure.'
      runbook_url: ''
      summary: 'Kubernetes node is under memory pressure.'

  - alert: k8s-Node_status_DiskPressure
    expr: kube_node_status_condition{condition="DiskPressure", status="true"} == 1
    for: 5m
    labels:
      severity: 'warning'
      sylva_alert: 'true'
      type: 'k8s'
    annotations:
      description: 'Node {{ $labels.node }} in cluster "{{ $labels.cluster }}" is under disk pressure'
      runbook_url: ''
      summary: 'Kubernetes node is under disk pressure'

  - alert: k8s-Node_status_PIDPressure
    expr: kube_node_status_condition{condition="PIDPressure", status="true"} == 1
    for: 5m
    labels:
      severity: 'warning'
      sylva_alert: 'true'
      type: 'k8s'
    annotations:
      description: 'Node {{ $labels.node }} in cluster "{{ $labels.cluster }}" is under PID pressure'
      runbook_url: ''
      summary: 'Kubernetes node is under PID pressure'

  - alert: k8s-Node_status_NotReady
    expr: kube_node_status_condition{condition="Ready",status="true"} == 0
    for: 5m
    labels:
      severity: 'critical'
      sylva_alert: ''
      type: 'k8s'
    annotations:
      description: 'Node {{ $labels.node }} in cluster "{{ $labels.cluster }}" has been not been Ready for more than an hour'
      runbook_url: ''
      summary: 'Kubernetes node status is not ready'

  - alert: k8s-Node_status_NetworkUnavailable
    expr: kube_node_status_condition{condition="NetworkUnavailable", status="true"} == 1
    for: 5m
    labels:
      severity: 'warning'
      sylva_alert: 'true'
      type: 'k8s'
    annotations:
      description: 'Node {{ $labels.node }} in cluster "{{ $labels.cluster }}" has NetworkUnavailable condition.'
      runbook_url: ''
      summary: 'Kubernetes node NetworkUnavailable condition'

